MIX_Audio(3type)

NAME
MIX_Audio - An opaque object that represents audio data.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

typedef struct MIX_Audio MIX_Audio;

DESCRIPTION
Generally you load audio data (in whatever file format) into SDL_mixer with MIX_LoadAudio() or one of its several variants, producing a MIX_Audio object.

A MIX_Audio represents static audio data; it could be background music, or maybe a laser gun sound effect. It is loaded into RAM and can be played multiple times, possibly on different tracks at the same time.

Unlike most other objects, MIX_Audio objects can be shared between mixers.

AVAILABILITY
This datatype is available since SDL_mixer 3.0.0.